Ubuntu18 installation uses qt5.14.0

Hits: 0

  1. First download the qt corresponding to the linux system (there is only one installation package for linux after qt5.9). After downloading, enter the operation terminal and use the command [chmod]. After downloading, enter the operation terminal and use the command [chmod] +x to add executable permission to the downloaded qt running program;

sudo  chmod + x  qt-opensource-linux-x64-5 .9 .4 .run

  1. Enter the following command to start the qt package installation;

sudo ./qt-opensource-linux-x64-5.9.4.run

When installing, select Install All.
3. Enter the following name to install the necessary library libqt4-dev for qt , otherwise an error will occur when compiling: cannot find -lGL

sudo apt-get install libqt4-dev

Reference content:
/u013934107/article/details/80712418 (Reference: Mainly refer to the download and installation section)
https://zhidao.baidu.com/question/528405584.html (Reference: chmod command effect)

Leave a Reply

Your email address will not be published.